// Copyright (C) 2024 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

part of 'deploy_ios_task.dart';

class DeployIosStateGetIosConfig extends TaskStateRunning {
  @override
  String get description => 'Get iOS config';
}

class DeployIosStatedecryptIosKeys extends TaskStateRunning {
  @override
  String get description => 'Decrypt ios keys';
}

class DeployIosStateRetrieveIosKey extends TaskStateRunning {
  @override
  String get description => 'Retrieve ios keys';
}

class DeployIosStateCheckRequiredIosKey extends TaskStateRunning {
  @override
  String get description => 'Check if all required keys exist';
}

class DeployIosStateDeployToAppStoreConnect extends TaskStateRunning {
  @override
  String get description => 'Upload ipa to AppStore Connect';
}
